Redmine - Defect #12451

Macros.rb extract_macro_options should use lazy search

2012-11-26 22:38 - Michael Esemplare

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 215

Resolution: Fixed Affected version:

Description

I am unsure if the design was intended to be greedy, however for my macro | needed a lazy search since it took in a query string like:
query=?show_issues=1&show_news=1&show_documents=1&show_files=1&show_wiki_edits=1. The current method matches
"query=?show_issues=1&show_news=1&show_documents=1&show_files=1&show_wiki_edits" : "1". When I look for options[:query]
it returns nil. By using a lazy search, | get the intended result: "query” :
"?show_issues=1&show_news=1&show_documents=1&show_files=1&show_wiki_edits=1"

Perhaps we should be able to specify if greedy or lazy?

| have attached my "quite simple" patch.

Associated revisions

Revision 10885 - 2012-11-27 20:59 - Jean-Philippe Lang
Fixed that #extract_macro_options should not be greedy (#12451).

Revision 11007 - 2012-12-15 08:54 - Jean-Philippe Lang
Merged r10885 from trunk (#12451).

History

#1 - 2012-11-27 21:00 - Jean-Philippe Lang
- Category set to Text formatting

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version setto 2.1.5

- Resolution set to Fixed

Fixed and tests added in r10885, thanks.

#2 - 2012-12-15 08:54 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 2.1-stable.
